## libkf5libkdepim 16.04.2

=== src/CMakeLists.txt ===

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_subdirectory(addressline/blacklistbaloocompletion/autotests)
   add_subdirectory(addressline/autotests/)
endif()

add_subdirectory(pics)


add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")

########### next target ###############
set(kdepim_progresswidget_LIB_SRCS
   progresswidget/progressmanager.cpp
   progresswidget/progressmanager_akonadiagent.cpp
   progresswidget/agentprogressmonitor.cpp
   progresswidget/progressdialog.cpp
   progresswidget/statusbarprogresswidget.cpp
   progresswidget/ssllabel.cpp
   progresswidget/progressstatusbarwidget.cpp
)

set(kdepim_job_LIB_SRCS
   job/addemailaddressjob.cpp
   job/addcontactjob.cpp
   job/openemailaddressjob.cpp
   job/addemaildisplayjob.cpp
   job/collectionsearchjob.cpp
   job/personsearchjob.cpp
)

set(kdepim_widgets_LIB_SRCS
   widgets/customlogwidget.cpp
   widgets/kdatepickerpopup.cpp
   widgets/kcheckcombobox.cpp
   widgets/kweekdaycheckcombo.cpp
   widgets/kwidgetlister.cpp
   widgets/pimmessagebox.cpp
   widgets/overlaywidget.cpp
   widgets/tagwidgets.cpp
   widgets/progressindicatorlabel.cpp
   widgets/progressindicatorwidget.cpp
   widgets/tagselectioncombo.cpp
)

set(kdepim_ldap_LIB_SRCS
   ldap/addhostdialog.cpp
   ldap/ldapclient.cpp
   ldap/ldapsearchdialog.cpp
   ldap/ldapclientsearch.cpp
   ldap/ldapclientsearchconfig.cpp
   ldap/addhostdialog.cpp
)
ecm_qt_declare_logging_category(kdepim_ldap_LIB_SRCS HEADER ldapclient_debug.h IDENTIFIER LDAPCLIENT_LOG CATEGORY_NAME log_ldapclient)

set(kdepim_misc_LIB_SRCS
   misc/broadcaststatus.cpp
   misc/emailvalidator.cpp
   misc/maillistdrag.cpp
   misc/uistatesaver.cpp
)

set(kdepim_addressline_LIB_SRCS
   addressline/completionorder/completionordereditor.cpp
   addressline/completionorder/completionorderwidget.cpp
   addressline/addresslineedit/addresseelineedit.cpp
   addressline/addresslineedit/addresseelineedit_p.cpp
   addressline/addresslineedit/addresseelineeditstatic.cpp
   addressline/addresslineedit/kmailcompletion.cpp
   addressline/addresslineedit/baloocompletionemail.cpp
   addressline/completionconfiguredialog/completionconfiguredialog.cpp
   addressline/recentaddress/recentaddressdialog.cpp
   addressline/recentaddress/recentaddresswidget.cpp
   addressline/recentaddress/recentaddresses.cpp
)

set(kdepim_addressline_blacklist_baloo_LIB_SRCS
   addressline/blacklistbaloocompletion/blacklistbalooemailcompletiondialog.cpp
   addressline/blacklistbaloocompletion/blacklistbalooemaillist.cpp
   addressline/blacklistbaloocompletion/blacklistbalooemailsearchjob.cpp
   addressline/blacklistbaloocompletion/blacklistbalooemailutil.cpp
   addressline/blacklistbaloocompletion/blacklistbalooemailcompletionwidget.cpp
   addressline/blacklistbaloocompletion/blacklistbalooemailwarning.cpp
) 

set(kdepim_multiplyingline_LIB_SRCS
   multiplyingline/multiplyingline.cpp
   multiplyingline/multiplyinglineeditor.cpp
   multiplyingline/multiplyinglineview_p.cpp
)

set(kdepim_LIB_SRCS
   ${kdepim_addressline_blacklist_baloo_LIB_SRCS}
   ${kdepim_progresswidget_LIB_SRCS}
   ${kdepim_job_LIB_SRCS}
   ${kdepim_widgets_LIB_SRCS}
   ${kdepim_ldap_LIB_SRCS}
   ${kdepim_misc_LIB_SRCS}
   ${kdepim_addressline_LIB_SRCS}
   ${kdepim_multiplyingline_LIB_SRCS}
   prefs/kprefsdialog.cpp
)
ecm_qt_declare_logging_category(kdepim_LIB_SRCS HEADER libkdepim_debug.h IDENTIFIER LIBKDEPIM_LOG CATEGORY_NAME log_libkdepim)


add_library(KF5Libkdepim ${kdepim_LIB_SRCS})
generate_export_header(KF5Libkdepim BASE_NAME kdepim)
add_library(KF5::Libkdepim ALIAS KF5Libkdepim)
target_include_directories(KF5Libkdepim INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Libkdepim/;${KDE_INSTALL_INCLUDEDIR_KF5}/libkdepim>")
target_include_directories(KF5Libkdepim PUBLIC "$<BUILD_INTERFACE:${libkdepim_SOURCE_DIR}/src;${libkdepim_BINARY_DIR}/src;>")



target_link_libraries(KF5Libkdepim
 PUBLIC
  KF5::AkonadiCore
  KF5::AkonadiContact
 PRIVATE
  KF5::AkonadiWidgets
  KF5::Ldap
  KF5::Contacts
  KF5::Codecs
  KF5::Completion
  KF5::I18n
  KF5::KCMUtils
  KF5::Wallet
  KF5::ItemViews
  KF5::AkonadiSearchPIM
  KF5::IconThemes
  KF5::KIOCore
  KF5::KIOWidgets
  Qt5::DBus
  Qt5::Network
)


if(MINGW)
   target_link_libraries(KF5Libkdepim oleaut32)
endif()


set_target_properties(KF5Libkdepim PROPERTIES
    VERSION ${LIBKDEPIM_VERSION_STRING}
    SOVERSION ${LIBKDEPIM_SOVERSION}
    EXPORT_NAME Libkdepim
)

install(TARGETS
    KF5Libkdepim
    EXPORT KF5LibkdepimTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(libkdepim_Camelcaseldap_HEADERS
  HEADER_NAMES
  LdapClientSearchConfig
  LdapClientSearch
  AddHostDialog
  LdapSearchDialog
  LdapClient 
  REQUIRED_HEADERS libkdepim_ldap_HEADERS
  PREFIX Libkdepim
  RELATIVE ldap
)

ecm_generate_headers(libkdepim_Camelcasewidgets_HEADERS
  HEADER_NAMES
  CustomLogWidget
  ProgressIndicatorWidget
  TagWidgets
  KCheckComboBox
  TagSelectionCombo
  ProgressIndicatorLabel
  KDatePickerPopup
  KWidgetLister
  KWeekdayCheckCombo
  PIMMessageBox
  TagSelectionCombo
  OverlayWidget
  REQUIRED_HEADERS libkdepim_widgets_HEADERS
  PREFIX Libkdepim
  RELATIVE widgets
)

ecm_generate_headers(libkdepim_Camelcasemisc_HEADERS
  HEADER_NAMES
  EmailValidator
  BroadcastStatus
  MaillistDrag
  UiStateSaver
  KCursorSaver
  REQUIRED_HEADERS libkdepim_misc_HEADERS
  PREFIX Libkdepim
  RELATIVE misc
)

ecm_generate_headers(libkdepim_Camelcaseprogresswidget_HEADERS
  HEADER_NAMES
  ProgressStatusBarWidget
  StatusbarProgressWidget
  ProgressDialog
  ProgressManager	
  REQUIRED_HEADERS libkdepim_progresswidget_HEADERS
  PREFIX Libkdepim
  RELATIVE progresswidget
)

ecm_generate_headers(libkdepim_Camelcasejob_HEADERS
  HEADER_NAMES
  AddContactJob
  AddEmailAddressJob
  AddEmailDisplayJob
  CollectionSearchJob
  OpenEmailAddressJob
  PersonSearchJob
  Person
 
  REQUIRED_HEADERS libkdepim_job_HEADERS
  PREFIX Libkdepim
  RELATIVE job
)

ecm_generate_headers(libkdepim_Camelcasepref_HEADERS
  HEADER_NAMES
  KPrefsDialog 
  REQUIRED_HEADERS libkdepim_pref_HEADERS
  PREFIX Libkdepim
  RELATIVE prefs
)

ecm_generate_headers(libkdepim_Camelcasemultiline_HEADERS
  HEADER_NAMES
  MultiplyingLine  
  MultiplyingLineEditor
  REQUIRED_HEADERS libkdepim_multiline_HEADERS
  PREFIX Libkdepim
  RELATIVE  multiplyingline
)


ecm_generate_headers(libkdepim_Camelcaseaddressline_HEADERS
  HEADER_NAMES
  AddresseeLineEdit 
  REQUIRED_HEADERS libkdepim_addressline_HEADERS
  PREFIX Libkdepim
  RELATIVE  addressline/addresslineedit/
)

ecm_generate_headers(libkdepim_Camelcaserecentaddress_HEADERS
  HEADER_NAMES
  RecentAddresses  
  REQUIRED_HEADERS libkdepim_recentaddress_HEADERS
  PREFIX Libkdepim
  RELATIVE addressline/recentaddress/
)

ecm_generate_headers(libkdepim_Camelcasecompletionorder_HEADERS
  HEADER_NAMES
  CompletionOrderEditor
  REQUIRED_HEADERS libkdepim_completionorder_HEADERS
  PREFIX Libkdepim
  RELATIVE addressline/completionorder
)

ecm_generate_headers(libkdepim_Camelcasecompletionconfiguredialog_HEADERS
  HEADER_NAMES
  CompletionConfigureDialog
  REQUIRED_HEADERS libkdepim_completionconfiguredialog_HEADERS
  PREFIX Libkdepim
  RELATIVE addressline/completionconfiguredialog/
)

ecm_generate_headers(libkdepim_Camelcaseblacklistbaloocompletion_HEADERS
  HEADER_NAMES
  BlackListBalooEmailCompletionDialog
  REQUIRED_HEADERS libkdepim_blacklistbaloocompletion_HEADERS
  PREFIX Libkdepim
  RELATIVE addressline/blacklistbaloocompletion/
)

ecm_generate_pri_file(BASE_NAME Libkdepim
    LIB_NAME KF5Libkdepim
    DEPS "AkonadiCore AkonadiContact" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkdepim
)

install(FILES
    ${libkdepim_Camelcaseblacklistbaloocompletion_HEADERS}
    ${libkdepim_Camelcasecompletionconfiguredialog_HEADERS}
    ${libkdepim_Camelcasecompletionorder_HEADERS}
    ${libkdepim_CamelcaseCamelCase_HEADERS}
    ${libkdepim_Camelcaseldap_HEADERS}
    ${libkdepim_Camelcasewidgets_HEADERS}
    ${libkdepim_Camelcaseprogresswidget_HEADERS}
    ${libkdepim_Camelcasemisc_HEADERS}
    ${libkdepim_Camelcasejob_HEADERS}
    ${libkdepim_Camelcasepref_HEADERS}
    ${libkdepim_Camelcasemultiline_HEADERS}
    ${libkdepim_Camelcaseaddressline_HEADERS}
    ${libkdepim_Camelcaserecentaddress_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Libkdepim
    COMPONENT Devel
)

install(FILES
    ${libkdepim_blacklistbaloocompletion_HEADERS}
    ${libkdepim_completionconfiguredialog_HEADERS}
    ${libkdepim_completionorder_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdepim_export.h
    ${libkdepim_CamelCase_HEADERS}
    ${libkdepim_ldap_HEADERS}
    ${libkdepim_progresswidget_HEADERS}
    ${libkdepim_misc_HEADERS}
    ${libkdepim_widgets_HEADERS}
    ${libkdepim_job_HEADERS}
    ${libkdepim_pref_HEADERS}
    ${libkdepim_multiline_HEADERS}
    ${libkdepim_addressline_HEADERS}
    ${libkdepim_recentaddress_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libkdepim
    COMPONENT Devel
)

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

add_subdirectory(designer)
########### next target ###############


set( kcm_ldap_SRCS
     ldap/kcmldap.cpp
)

add_library(kcm_ldap MODULE ${kcm_ldap_SRCS})


target_link_libraries(kcm_ldap   KF5::Libkdepim KF5::IconThemes KF5::KCMUtils KF5::I18n KF5::Ldap Qt5::Core)

kcoreaddons_desktop_to_json(kcm_ldap ldap/kcmldap.desktop)

install(TARGETS kcm_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES ldap/kcmldap.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### install files ###############

install(FILES interfaces/org.kde.addressbook.service.xml interfaces/org.kde.mailtransport.service.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== debian/changelog ===
libkf5libkdepim (4:16.04.2-3) unstable; urgency=medium

  * Update symbols files with the results from the buildds

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Jul 2016 15:42:04 +0200

libkf5libkdepim (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 17:06:04 +0200

libkf5libkdepim (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add new upstream patch: upstream_add_copying.patch

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:56:54 +0200

libkf5libkdepim (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Update build-deps and deps with the info from cmake
  * Initial packaging
  * Update watch file to use the unstable version
  * The auto_tests need X to be run
  * Update install files
  * Add data a plugins packages
  * Add missing headers for CamelCase users
  * Update acc file
  * Rename source package, add missing file
  * Fix typo in the symbols file
  * Fix wrong section name
  * Update the acc test
  * Add missing dev dependency (thanks to the acc headers check)
  * Bump kdepim dependencies

  [ Automatic packaging ]
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 12:34:58 +0200

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:16.04~),
               libkf5akonadicontact-dev (>= 16.04~),
               libkf5akonadisearch-dev (>= 16.04~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.40~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5itemviews-dev (>= 5.19.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5ldap-dev (>= 16.04~),
               libkf5mime-dev (>= 16.04~),
               libkf5wallet-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdepim.git

Package: libkf5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5completion-dev (>= 5.19.0~),
         libkf5contacts-dev (>= 5.2.40~),
         libkf5coreaddons-dev,
         libkf5ldap-dev (>= 5.2.40~),
         libkf5libkdepim5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

## libkf5libkdepim 16.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(libkdepim)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)

set(KF5_VERSION "5.19.0")
set(LIBKDEPIM_LIB_VERSION "5.2.3")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(QT_REQUIRED_VERSION "5.4.0")
set(KMIME_LIB_VERSION "5.2.0")
set(KLDAP_LIB_VERSION "5.2.0")
set(KCONTACTS_LIB_VERSION "5.2.0")
set(AKONADISEARCH_LIB_VERSION "5.0.42")
set(AKONADI_VERSION "5.2.0")

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools DBus Network)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

find_package(Qt5Designer CONFIG)
set_package_properties(Qt5Designer PROPERTIES
   PURPOSE "Required to build the Qt Designer plugins"
   TYPE OPTIONAL
)

ecm_setup_version(${LIBKDEPIM_LIB_VERSION} VARIABLE_PREFIX LIBKDEPIM
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkdepim_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimConfigVersion.cmake"
                        SOVERSION 5
)
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibkdepimConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

ecm_configure_package_config_file(MailTransportDBusServiceConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")

install(EXPORT KF5LibkdepimTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibkdepimTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libkdepim_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)



add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(tests)
endif()

install( FILES libkdepim.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5libkdepim (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @889443f8a3b87b8a2ea2a7c9a32660626deda7aa **

  [ Maximiliano Curia ]
  * Initial release.
  * Update build-deps and deps with the info from cmake
  * Initial packaging
  * Update watch file to use the unstable version
  * The auto_tests need X to be run
  * Update install files
  * Add data a plugins packages
  * Add missing headers for CamelCase users
  * debian/watch: unstable > stable, :(
  * Update acc file
  * Update acc file
  * Rename source package, add missing file
  * Fix typo in the symbols file

  [ Automatic packaging ]
  * Update changelog for 16.04.0-1~2.gbp04b698 release
  * Update symbols files

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian, for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Fix lintian spelling and long description error

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:39 +0200

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5akonadisearch-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5contacts-dev (>= 4:16.04.3~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5ldap-dev (>= 16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               libkf5wallet-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim

Package: libkf5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

## libkf5libkdepim 17.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.5.3")

project(libkdepim VERSION ${PIM_VERSION})

set(KF5_VERSION "5.32.0")
find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.5.3")
set(QT_REQUIRED_VERSION "5.6.0")
set(KLDAP_LIB_VERSION "5.5.3")
set(KCONTACTS_LIB_VERSION "5.5.3")
set(AKONADISEARCH_LIB_VERSION "5.5.3")
set(AKONADI_VERSION "5.5.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)

find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

find_package(Qt5Designer CONFIG)
set_package_properties(Qt5Designer PROPERTIES
   PURPOSE "Required to build the Qt Designer plugins"
   TYPE OPTIONAL
)

if (Qt5Designer_FOUND)
  find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG REQUIRED)
endif()

remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")


configure_package_config_file(MailTransportDBusServiceConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")



add_subdirectory(src)

install( FILES libkdepim.categories libkdepim.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5libkdepim (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update install files for new development files and plugins, and
    clarify package description
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5libkdepim5 -> libkf5libkdepim5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Install translations and add Breaks/Replaces against kde-l10n
  * Avoid circular dependency passing 'libkf5libkdepim-plugins' to
    dh_shlibdeps
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:54 +0100

libkf5libkdepim (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Add libkf5libkdepim-dev depends (that fixes the acc autopkgtest):
    - qtbase5-dev
    - libkf5coreaddons-dev
    - libkf5completion-dev
    - libkf5akonadi-dev
    - libkf5ldap-dev
    - libkf5contacts-dev
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:32 +0100

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadisearch-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim

Package: libkf5libkdepim5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Libkdepim
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepimakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM Akonadi library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04),
        libkf5libkdepim5 (<< 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<< 4:16.04),
          libkf5libkdepim5 (<< 4:16.04),
          ${kde-l10n:all}
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5completion-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:17.04.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5ldap-dev (>= 17.04.3~),
         libkf5libkdepim5abi1 (= ${binary:Version}),
         libkf5libkdepimakonadi5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

## libkf5libkdepim 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.5.3")
+set(PIM_VERSION "5.7.3")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.32.0")
+set(KF5_VERSION "5.39.0")
+
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
@@ -23,12 +24,12 @@
 
 
 set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "5.5.3")
-set(QT_REQUIRED_VERSION "5.6.0")
-set(KLDAP_LIB_VERSION "5.5.3")
-set(KCONTACTS_LIB_VERSION "5.5.3")
-set(AKONADISEARCH_LIB_VERSION "5.5.3")
-set(AKONADI_VERSION "5.5.3")
+set(AKONADICONTACT_LIB_VERSION "5.7.3")
+set(QT_REQUIRED_VERSION "5.8.0")
+set(KLDAP_LIB_VERSION "5.7.3")
+set(KCONTACTS_LIB_VERSION "5.7.3")
+set(AKONADISEARCH_LIB_VERSION "5.7.3")
+set(AKONADI_VERSION "5.7.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)
 
@@ -54,17 +55,12 @@
 find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
 set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
 
-find_package(Qt5Designer CONFIG)
-set_package_properties(Qt5Designer PROPERTIES
-   PURPOSE "Required to build the Qt Designer plugins"
-   TYPE OPTIONAL
-)
 
-if (Qt5Designer_FOUND)
-  find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG REQUIRED)
-endif()
-
-remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )
+find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
+set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(libkdepim)
add_subdirectory(libkdepimakonadi)

=== debian/changelog ===
libkf5libkdepim (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:37 +0000

libkf5libkdepim (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Simon Quigley ]
  * Bump soname with the Debian ABI Manager due to binary incompatible
    changes: libkf5libkdepim5abi1 -> libkf5libkdepim5abi2

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:42 +0000

libkf5libkdepim (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Update symbols from build log
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadisearch-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadisearch-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5ldap-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -27,8 +28,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
 
-Package: libkf5libkdepim5abi1
-X-Debian-ABI: 1
+Package: libkf5libkdepim5abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5Libkdepim
 Architecture: any
 Multi-Arch: same
@@ -89,12 +90,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5completion-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.04.3~),
+         libkf5contacts-dev (>= 4:17.12.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 17.04.3~),
-         libkf5libkdepim5abi1 (= ${binary:Version}),
+         libkf5ldap-dev (>= 17.12.3~),
+         libkf5libkdepim5abi2 (= ${binary:Version}),
          libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

lib_packages = $(filter lib%,$(shell dh_listpackages))

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xlibkf5libkdepim-plugins
	$(overridden_command) --remaining-packages

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## libkf5libkdepim 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.8.3")
 
 project(libkdepim VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.44.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,14 +22,13 @@
 include(ECMAddTests)
 include(ECMCoverageOption)
 
-
 set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "5.7.3")
+set(AKONADICONTACT_LIB_VERSION "5.8.3")
 set(QT_REQUIRED_VERSION "5.8.0")
-set(KLDAP_LIB_VERSION "5.7.3")
-set(KCONTACTS_LIB_VERSION "5.7.3")
-set(AKONADISEARCH_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
+set(KLDAP_LIB_VERSION "5.8.3")
+set(KCONTACTS_LIB_VERSION "5.8.3")
+set(AKONADISEARCH_LIB_VERSION "5.8.3")
+set(AKONADI_VERSION "5.8.3")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)
 
@@ -76,7 +75,6 @@
   DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")
 
 
-
 add_subdirectory(src)
 
 install( FILES libkdepim.categories libkdepim.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
libkf5libkdepim (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadisearch-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadisearch-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5ldap-dev (>= 18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
@@ -90,16 +90,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5completion-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.12.3~),
+         libkf5contacts-dev (>= 4:18.04.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 17.12.3~),
+         libkf5ldap-dev (>= 18.04.3~),
          libkf5libkdepim5abi2 (= ${binary:Version}),
          libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM library - development files
  This is the internal runtime package for applications from the KDE PIM module.
  It contains headers, and the libraries needed to build some of the KDE PIM
